Skip to content

Send a new message to the device​

POST
/devices/{id}/messages

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

device id

Type
number
Required
Format
"integer"

Request Body​

JSON
{
  
"config": "string",
  
"message": "string",
  
"mobileTerminated": true,
  
"created": "string",
  
"sent": "string",
  
"id": 0,
  
"deviceId": 0,
  
"userId": 0
}

Request example

Responses​

Body (JSON)

application/json
JSON
{
  
"config": "string",
  
"message": "string",
  
"mobileTerminated": true,
  
"created": "string",
  
"sent": "string",
  
"id": 0,
  
"deviceId": 0,
  
"userId": 0
}
Try this endpoint

Playground​

Authorization
Variables
Key
Value
Body

OpenAPI definition ​

References are expanded below, except recursive definitions and references with sibling fields. Documentation overrides are included. Full original OpenAPI spec (JSON).

View endpoint OpenAPI definition
yaml
openapi: 3.1.0
info:
  version: 1.1.0
  title: TrackingAPI
  description: V1 API for retrieving tracking data and changing settings on Lightbug devices
servers:
  - url: https://api.lightbug.cloud/api
externalDocs: {}
security:
  - ApiKeyAuth: []
tags: []
paths:
  /devices/{id}/messages:
    post:
      tags:
        - device-misc
      summary: Send a new message to the device
      parameters:
        - name: id
          in: path
          description: device id
          required: true
          schema:
            type: number
            format: integer
requestBody:
yaml
        content:
          application/json:
            schema:
              properties:
                config:
                  type: string
                  format: byte
                message:
                  type: string
                mobileTerminated:
                  default: true
                  type: boolean
                created:
                  type: string
                  format: date-time
                sent:
                  type: string
                  format: date-time
                id:
                  type: number
                  format: ''
                deviceId:
                  type: number
                  format: ''
                userId:
                  type: number
                  format: ''
              required:
                - created
              type: object
          application/x-www-form-urlencoded:
            schema:
              properties:
                config:
                  type: string
                  format: byte
                message:
                  type: string
                mobileTerminated:
                  default: true
                  type: boolean
                created:
                  type: string
                  format: date-time
                sent:
                  type: string
                  format: date-time
                id:
                  type: number
                  format: ''
                deviceId:
                  type: number
                  format: ''
                userId:
                  type: number
                  format: ''
              required:
                - created
              type: object
          application/xml:
            schema:
              properties:
                config:
                  type: string
                  format: byte
                message:
                  type: string
                mobileTerminated:
                  default: true
                  type: boolean
                created:
                  type: string
                  format: date-time
                sent:
                  type: string
                  format: date-time
                id:
                  type: number
                  format: ''
                deviceId:
                  type: number
                  format: ''
                userId:
                  type: number
                  format: ''
              required:
                - created
              type: object
          text/xml:
            schema:
              properties:
                config:
                  type: string
                  format: byte
                message:
                  type: string
                mobileTerminated:
                  default: true
                  type: boolean
                created:
                  type: string
                  format: date-time
                sent:
                  type: string
                  format: date-time
                id:
                  type: number
                  format: ''
                deviceId:
                  type: number
                  format: ''
                userId:
                  type: number
                  format: ''
              required:
                - created
              type: object
        description: Body (JSON)
yaml
      responses:
'200':
yaml
          description: Body (JSON)
          content:
            application/json:
              schema:
                properties:
                  config:
                    type: string
                    format: byte
                  message:
                    type: string
                  mobileTerminated:
                    default: true
                    type: boolean
                  created:
                    type: string
                    format: date-time
                  sent:
                    type: string
                    format: date-time
                  id:
                    type: number
                    format: ''
                  deviceId:
                    type: number
                    format: ''
                  userId:
                    type: number
                    format: ''
                required:
                  - created
                type: object
yaml
      deprecated: false
      security:
        - ApiKeyAuth: []
      operationId: post-devices-id-messages
components:
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey
      description: API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See <a href='/apis/authentication'>Authentication</a> for more details.
      example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...